import { X as p, N as c, O as S, Z as n, c2 as w, c3 as x, L as f, dA as C, az as I, U as b, F as t, bU as m, a6 as s, G as u, af as y, a7 as a, a8 as o, a9 as h, Y as r, dB as V, dC as g, ac as F, dD as P, dE as $, bS as E, dF as M } from "./603b75d9.js";
import { useContext as d } from "react";
import { FormDataPropertyView as T } from "./f9847c56.js";
import { getStyle as v, textInputChildren as B, useTextInputProps as D, TextInputBasicSection as N, TextInputInteractionSection as R, TextInputValidationSection as O, inputRefMethods as q, TextInputConfigs as L, fixOldInputCompData as U } from "./41aba172.js";
import "react-dom";
const j = p(M)`
  box-shadow: ${(e) => {
  var l, i;
  return `${(l = e.$style) == null ? void 0 : l.boxShadow} ${(i = e.$style) == null ? void 0 : i.boxShadowColor}`;
}};
  ${(e) => e.$style && v(e.$style)}
`, A = {
  ...B,
  viewRef: c,
  showCount: S,
  allowClear: S,
  style: n(w, "style"),
  labelStyle: n(x, "labelStyle"),
  prefixIcon: f,
  suffixIcon: f,
  inputFieldStyle: n(C, "inputFieldStyle"),
  animationStyle: n(I, "animationStyle")
};
let W = new b(A, (e) => {
  const [l, i] = D(e);
  return e.label({
    required: e.required,
    children: /* @__PURE__ */ t(j, {
      ...l,
      ref: e.viewRef,
      showCount: e.showCount,
      allowClear: e.allowClear,
      $style: e.inputFieldStyle,
      prefix: m(e.prefixIcon) && e.prefixIcon,
      suffix: m(e.suffixIcon) && e.suffixIcon
    }),
    style: e.style,
    labelStyle: e.labelStyle,
    inputFieldStyle: e.inputFieldStyle,
    animationStyle: e.animationStyle,
    showValidationWhenEmpty: e.showValidationWhenEmpty,
    ...i
  });
}).setPropertyViewFn((e) => /* @__PURE__ */ s(u, {
  children: [/* @__PURE__ */ t(N, {
    ...e
  }), /* @__PURE__ */ t(T, {
    ...e
  }), ["layout", "both"].includes(d(y).editorModeStatus) && e.label.getPropertyView(), ["logic", "both"].includes(d(y).editorModeStatus) && /* @__PURE__ */ s(u, {
    children: [/* @__PURE__ */ t(R, {
      ...e
    }), /* @__PURE__ */ t(a, {
      name: o.layout,
      children: h(e)
    }), /* @__PURE__ */ s(a, {
      name: o.advanced,
      children: [e.prefixIcon.propertyView({
        label: r("button.prefixIcon")
      }), e.suffixIcon.propertyView({
        label: r("button.suffixIcon")
      }), e.showCount.propertyView({
        label: r("prop.showCount")
      }), V(e), g(e)]
    }), /* @__PURE__ */ t(O, {
      ...e
    })]
  }), ["layout", "both"].includes(d(y).editorModeStatus) && /* @__PURE__ */ s(u, {
    children: [/* @__PURE__ */ t(a, {
      name: o.style,
      children: e.style.getPropertyView()
    }), /* @__PURE__ */ t(a, {
      name: o.labelStyle,
      children: e.labelStyle.getPropertyView()
    }), /* @__PURE__ */ t(a, {
      name: o.inputFieldStyle,
      children: e.inputFieldStyle.getPropertyView()
    }), /* @__PURE__ */ t(a, {
      name: o.animationStyle,
      hasTooltip: !0,
      children: e.animationStyle.getPropertyView()
    })]
  })]
})).setExposeMethodConfigs(q).setExposeStateConfigs([new F("value", r("export.inputValueDesc")), P, $, ...L]).build();
const Y = E(W, U);
export {
  Y as InputComp
};
